# Class GetTradesRequest

#### Hierarchy

- unknown
  - GetTradesRequest

- Defined in src/protobuf/grpc_pb.d.ts:2534
- Defined in src/protobuf/grpc_pb.d.ts:2546

#####
Index

### Constructors

constructor

### Methods

getCategory
serializeBinary
setCategory
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetTradesRequest(): GetTradesRequest

- #### Returns GetTradesRequest

  Inherited from jspb.Message.constructor

## Methods

### getCategory

- getCategory(): Category

- #### Returns Category

  - Defined in src/protobuf/grpc_pb.d.ts:2535

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2538

### setCategory

- setCategory(value: Category): GetTradesRequest

- #### Parameters

  - ##### value: Category

  #### Returns GetTradesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2536

### toObject

- toObject(includeInstance?: boolean): GetTradesRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetTradesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2539

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradesRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2542

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradesRequest, reader: BinaryReader): GetTradesRequest

- #### Parameters

  - ##### message: GetTradesRequest

  - ##### reader: BinaryReader

  #### Returns GetTradesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2543

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradesRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetTradesRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2541

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetTradesRequest): GetTradesRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradesRequest

  #### Returns GetTradesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2540

Generated using TypeDoc